Packages - Bug #3447

Jami cannot show any window
2023-02-14 07:09 PM - Avron

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ steps to reproduce:
Install jami.
Run jami.
Right click on Jami icon in Mate panel.
Click on "Show Jami"

e expected result:
The Jami windows appears.

e gctual result:
Nothing occurs.

Result of starting Jami from the terminal:

$ LC_ALL=C jami

Using Qt runtime version: 6.4.2

"notify server name: Notification Daemon, vendor: MATE, version: 1.26.0, spec: 1.1"

"Using locale: C"

No accounts to migrate

Screen saver dbus interface: "org.gnome.ScreenSaver"

Can't update current account info data for ""

QQmlApplicationEngine failed to load component

grc:/src/MainApplicationWindow.qml:108:5: Type DaemonReconnectPopup unavailable
grc:/src/commoncomponents/DaemonReconnectPopup.gml:26:1: Type BaseModalDialog unavailable
grc:/src/commoncomponents/BaseModalDialog.qml:107:5: Type DropShadow unavailable
grc:/gt-project.org/imports/Qt5Compat/GraphicalEffects/DropShadow.qml:6:1: Cannot load library
/usr/lib/qt6/qml/Qt5Compat/GraphicalEffects/private/libqtgraphicaleffectsprivateplugin.so: (libQt6ShaderTools.s0.6: cannot open
shared object file: No such file or directory)

Main window loaded using OpenGLRhi

NetworkManager client initialized, version: 1.40.12 , daemon running: yes , networking enabled: yes
primary network connection: 0f2dcad1-91d9-4550-bee7-69145e8e2536 default: yes

History

#1 - 2023-02-14 07:50 PM - bill-auger

sry i did not test this well - i forgot my credentials long ago - i only launched it and saw the login screen, and assumed that it was good - that should
have been a reasonable assumption - all i did was to rebuild the existing version (to close #3377) - there are new releases upstream; but i was hoping
to avoid a rabbit-hole - strictly speaking, that login window was "any window" - maybe that should be "some specific class of windows"

$ LC_ALL=C jami
i wonder if that is the problem - i launched 'jami-gt' not 'jami'

could you try:

$ jami-qgt

if that does not work, could you try building the same version as the arch package? - you should only need to change the git commit in the
PKGBUILD

#2 - 2023-02-14 08:20 PM - Avron

jami-qt does the same.

| removed ~/.cache/jami, ~/.config/jami and ~/.local/share/jami to eliminate problems with things stored but it makes no difference. | haven't used jami
https://labs.parabola.nu/issues/3377

on parabola for a while.

The message in the terminal show up before | do anything, | don't see any login window, just he icon in the Mate panel which has a drop down menu
with two choices, "Show Jami" and "Quit", none of them do anything.

Will try building as you suggested (probably by the end of the week).
#3 - 2023-02-14 08:36 PM - bill-auger
note that if you literally "removed" (rm -rf) ~/.config/jami and ~/.local/share/jami, you have destroyed your credentials - not merely de-configured them

- i mean they are gone forever, unless you have previously setup jami on another device, or backed-up the export.tar.gz somehow

#4 - 2023-02-14 08:42 PM - Avron

No worry, | have Jami configured on another disk and on two other computers, all using Trisquel.

#5 - 2023-05-22 05:29 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

closing as stale
